linux-fsl-imx51: 2.6.31-612.32 -proposed tracker

Bug #906939 reported by Andy Whitcroft on 2011-12-20
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
Andy Whitcroft
Prepare-package-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
Tobin Davis
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
ubuntu-armel-kernel
linux-fsl-imx51 (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.31-612.32 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 20. December 2011 15:51 UTC
kernel-stable-Certification-testing-end:Tuesday, 20. December 2011 16:00 UTC
kernel-stable-Prepare-package-end:Wednesday, 21. December 2011 09:00 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 21. December 2011 09:00 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 21. December 2011 10:15 UTC
kernel-stable-Verification-testing-start:Wednesday, 21. December 2011 10:15 UTC
kernel-stable-Regression-testing-end:Wednesday, 21. December 2011 17:45 UTC
kernel-stable-Security-signoff-start:Monday, 02. January 2012 20:46 UTC
kernel-stable-Verification-testing-end:Monday, 02. January 2012 20:46 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 04. January 2012 13:31 UTC
kernel-stable-Security-signoff-end:Wednesday, 04. January 2012 13:31 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 04. January 2012 14:31 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 04. January 2012 14:31 UTC

Andy Whitcroft (apw) on 2011-12-20
tags: added: kernel-release-tracking-bug
tags: added: armel
Changed in linux-fsl-imx51 (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2011-12-20
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Martin Pitt (pitti) on 2011-12-21
Changed in linux-fsl-imx51 (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2011-12-21
description: updated
Tobin Davis (gruemaster) wrote :

All QA tests passed including mmap tests attached to lp:861296.

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2011-12-21
description: updated
Brad Figg (brad-figg) on 2012-01-02
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-01-04
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-fsl-imx51 - 2.6.31-612.32

---------------
linux-fsl-imx51 (2.6.31-612.32) lucid-proposed; urgency=low

  * Release Tracking Bug
    - LP: #906939

  [ Upstream Kernel Changes ]

  * Revert "core: Fix memory leak/corruption on VLAN GRO_DROP,
    CVE-2011-1576"
  * resource: add helpers for fetching rlimits
  * use cache type functions for arch_get_unmapped_area
  * topdown mmap support
  * TPM: Zero buffer after copying to userspace, CVE-2011-1162
    - LP: #899463
    - CVE-2011-1162
  * hfs: fix hfs_find_init() sb->ext_tree NULL ptr oops, CVE-2011-2203
    - LP: #899466
    - CVE-2011-2203
  * KEYS: Fix a NULL pointer deref in the user-defined key type,
    CVE-2011-4110
    - LP: #894369, #unable to handle kernel NULL pointer dereference at 0000000000000008
    - CVE-2011-4110
  * gro: reset vlan_tci on reuse
    - LP: #844361, #902317
    - CVE-2011-1576
 -- Andy Whitcroft <email address hidden> Tue, 20 Dec 2011 15:31:26 +0000

Changed in linux-fsl-imx51 (Ubuntu Lucid):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers